Package org.eclipse.emf.cdo.spi.common.revision

## Class ManagedRevisionProvider

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.revision.ManagedRevisionProvider

- All Implemented Interfaces:
    `CDORevisionProvider`
  Direct Known Subclasses:
    `ManagedRevisionProvider.WithSynthetics`

      public class ManagedRevisionProvider
      extends java.lang.Object
      implements CDORevisionProvider

  A revision provider backed by a `revision manager` that provides revisions which are `valid` at the configured `branch point`.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ManagedRevisionProvider.WithSynthetics` | A managed revision provider that can also provide `synthetic revisions`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected CDOBranchPoint` | `branchPoint` |
    `protected InternalCDORevisionManager` | `revisionManager` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManagedRevisionProvider​(CDORevisionManager revisionManager, CDOBranchPoint branchPoint)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOBranchPoint` | `getBranchPoint()` |
    `CDORevision` | `getRevision​(CDOID id)` |
    `CDORevisionManager` | `getRevisionManager()` |
    `CDORevisionProviderWithSynthetics` | `withSynthetics()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### revisionManager

          protected final InternalCDORevisionManager revisionManager

      Since:
        4.15

    - #### branchPoint

          protected final CDOBranchPoint branchPoint

      Since:
        4.15

  - ### Constructor Detail

    - #### ManagedRevisionProvider

          public ManagedRevisionProvider​(CDORevisionManager revisionManager,
                                         CDOBranchPoint branchPoint)

  - ### Method Detail

    - #### getRevisionManager

          public CDORevisionManager getRevisionManager()

    - #### getBranchPoint

          public CDOBranchPoint getBranchPoint()

    - #### getRevision

          public CDORevision getRevision​(CDOID id)

      Specified by:
        `getRevision` in interface `CDORevisionProvider`

    - #### withSynthetics

          public CDORevisionProviderWithSynthetics withSynthetics()

      Since:
        4.15